package org.bench4q.master.infrastructure.faultolerence;

import java.util.UUID;

import org.bench4q.master.domain.entity.Agent;
import org.bench4q.share.models.agent.RunScenarioModel;

public class FaultTolerenceFactory {

	public static FaultTolerance getBriefFaultTolerance(Agent agent) {
		return new BriefAgentFault(agent);
	}

	public static FaultTolerance getRunAgentFault(Agent agent,
			RunScenarioModel runScenarioModel) {
		return new RunAgentFault(agent, runScenarioModel);
	}

	public static FaultTolerance getStopAgentFault(Agent agent, UUID runId) {
		return new StopAgentFault(agent, runId);
	}
}
